.sidepanel-wrapper {
	position: absolute;
	background-color: #fff;
	box-sizing: border-box;
	-moz-box-sizing:border-box;

	transition-delay: 0;
	-webkit-transition-delay: 0;

	 -webkit-transform: translateZ(0);
   -moz-transform: translateZ(0);
   -ms-transform: translateZ(0);
   -o-transform: translateZ(0);
   transform: translateZ(0);

   -webkit-backface-visibility: hidden;
   -moz-backface-visibility: hidden;
   -ms-backface-visibility: hidden;
   backface-visibility: hidden;

   -webkit-perspective: 1000;
   -moz-perspective: 1000;
   -ms-perspective: 1000;
   perspective: 1000;
}

.sidepanel-wrapper-left {
	border-top: 5px solid #FC0;
	border-bottom: 5px solid #FC0;
	border-right: 5px solid #FC0;

	-webkit-border-bottom-right-radius: 15px;
	-moz-border-radius-bottomright: 15px;
	border-bottom-right-radius: 15px;
	box-shadow: 3px 3px 3px rgba(0, 0, 0, 0.12);
}
.sidepanel-wrapper-right {
	border-top: 5px solid #FC0;
	border-bottom: 5px solid #FC0;
	border-left: 5px solid #FC0;

	-webkit-border-bottom-left-radius: 15px;
	-moz-border-radius-bottomleft: 15px;
	border-bottom-left-radius: 15px;
	box-shadow: -3px 3px 3px rgba(0, 0, 0, 0.12);

}

.sidepanel-wrapper-toprounded-right {
	-webkit-border-top-left-radius: 15px;
	-moz-border-radius-topleft: 15px;
	border-top-left-radius: 15px;
}

.sidepanel-wrapper-toprounded-left {
	-webkit-border-top-right-radius: 15px;
	-moz-border-radius-topright: 15px;
	border-top-right-radius: 15px;
}

.sidepanel-icon {
	position: absolute;
	box-sizing: border-box;
	-moz-box-sizing:border-box;
	border: 5px solid #FC0;
	margin-top: -5px;
	cursor: pointer;
	top: 0px;
	background-size: cover !important;
	overflow: hidden;
}

.sidepanel-wrapper-left .sidepanel-icon {
	-webkit-border-top-right-radius: 15px;
	-webkit-border-bottom-right-radius: 15px;
	-moz-border-radius-topright: 15px;
	-moz-border-radius-bottomright: 15px;
	border-top-right-radius: 15px;
	border-bottom-right-radius: 15px;
	box-shadow: 3px 3px 3px rgba(0, 0, 0, 0.12);
	margin-left: -5px;
}

.sidepanel-wrapper-right .sidepanel-icon {
	-webkit-border-top-left-radius: 15px;
	-webkit-border-bottom-left-radius: 15px;
	-moz-border-radius-topleft: 15px;
	-moz-border-radius-bottomleft: 15px;
	border-top-left-radius: 15px;
	border-bottom-left-radius: 15px;
	box-shadow: -3px 3px 3px rgba(0, 0, 0, 0.12);
	margin-right: -5px;
}


.sidepanel-content {
	padding: 10px;
}

/*This fixes a bug with Android moving inputs DAG 4.17.14*/

.sidepanel-content  input {
  -webkit-user-modify: read-write-plaintext-only;
  -webkit-tap-highlight-color:rgba(0,0,0,0);
  outline-style: none;
}